.pretty-checkbox {
    position: relative;

    &__input {
        position: absolute;
        width: 0;
        height: 0;
        opacity: 0;

        &:focus + .pretty-checkbox__label {

            &:before {
            }
        }

        &:checked + .pretty-checkbox__label {

            &::before {
                background-color: $white;
                border-color: #ccc;
            }

            &::after {
                opacity: 1;
                border-top-style : none;
                border-right-style : none;
                transform : rotate(-45deg);
                height : 0.5rem;
                width : 0.8rem;
                border-color : $blue;
                border-radius : 0;
                border-width : 2px;
                top : rem(6);
                left : rem(6);
            }
        }

        &:disabled + .pretty-checkbox__label {
            opacity: 0.4;
        }
    }

    &__label {
        color: #6A6A6A;
        font-size: rem(14);
        line-height: rem(20);
        padding-top: rem(2);
        position: relative;
        padding-left: rem(36);
        display: inline-block;

        &::before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: rem(24);
            height: rem(24);
            display: block;
            position: absolute;
            border: 1px solid #ccc;
            border-radius: rem(3);
        }

        &:after {
            z-index: 5;
            content : '';
            opacity: 0;
            height : rem(24);
            width : rem(24);
            border : 1px solid #DFE3E7;
            position : absolute;
            border-radius : rem(4);
            top : 0;
            left : 0;
            -webkit-transition : 100ms ease-in-out;
            transition : 100ms ease-in-out;
        }

        &--sm {
            padding-top: 0;
            font-size: rem(12);
            line-height: rem(15);
            padding-left: rem(30);
        }
    }

}
